## cycfx2prog 0.41

=== Makefile ===
CC = gcc -pipe
VERSION = 0.41
CFLAGS = -O2 -fno-rtti -fno-exceptions -DCYCFX2PROG_VERSION=\"$(VERSION)\"
LDFLAGS = -lusb
DIST_DEST = cycfx2prog-$(VERSION)

all: cycfx2prog

# NOTE: Also add sources to the "dist:" target!
cycfx2prog: cycfx2prog.o cycfx2dev.o
	$(CC) $(LDFLAGS) cycfx2prog.o cycfx2dev.o -o cycfx2prog

clean:
	-rm -f *.o

distclean: clean
	-rm -f cycfx2prog

dist:
	mkdir -p "$(DIST_DEST)"
	cp Makefile "$(DIST_DEST)"
	cp cycfx2dev.cc cycfx2dev.h "$(DIST_DEST)"
	cp cycfx2prog.cc "$(DIST_DEST)"
	tar -c "$(DIST_DEST)" | gzip -9 > "cycfx2prog-$(VERSION).tar.gz"
	rm -r "$(DIST_DEST)"

.cc.o:
	$(CC) -c $(CFLAGS) $<

cycfx2dev.o: cycfx2dev.cc cycfx2dev.h
cycfx2prog.o: cycfx2prog.cc cycfx2dev.h

## cycfx2prog 0.47

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 CC = gcc -pipe
-VERSION = 0.41
-CFLAGS = -O2 -fno-rtti -fno-exceptions -DCYCFX2PROG_VERSION=\"$(VERSION)\"
+VERSION = 0.47
+CFLAGS = -O2 -fno-rtti -fno-exceptions -DCYCFX2PROG_VERSION=\"$(VERSION)\" \
+	-W -Wall -Wformat
 LDFLAGS = -lusb
 DIST_DEST = cycfx2prog-$(VERSION)

=== debian/changelog ===
cycfx2prog (0.47-1.4) unstable; urgency=medium

  * Non-maintainer upload.
    Closes: #1121721
  * Maintain package on Salsa in Electronics team space
  * d/copyright: review
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Trim trailing whitespace.
  * d/watch: version=5
  * Propagate build options
    Closes: #1119384
  * Standards-Version: 4.7.3 (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)
  * Use secure URI in Homepage field.

 -- Andreas Tille <tille@debian.org>  Fri, 26 Dec 2025 08:29:16 +0100

cycfx2prog (0.47-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTCBFS: Convert to debhelper. (Closes: #1086542, #1072877)

 -- Helmut Grohne <helmut@subdivi.de>  Wed, 30 Oct 2024 21:19:13 +0100

cycfx2prog (0.47-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0. (Closes: #1007516)
  * d/copyright: Convert to machine-readable format.

 -- Bastian Germann <bage@debian.org>  Sun, 24 Mar 2024 19:53:34 +0000

cycfx2prog (0.47-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * debian/control: Replace obsolete Priority: extra with
    Priority: optional.
  * Bump debhelper compat to 9.
  * Bump Standards-Version to 3.9.8.
  * debian/patches: Add patch to fix FTBFS with gcc-9.
    (Closes: #925665, #638713) (LP: #770790)

 -- Boyuan Yang <byang@debian.org>  Fri, 24 Jan 2020 15:38:41 -0500

cycfx2prog (0.47-1) unstable; urgency=low

  * New upstream release (Closes: #557772).
  * Standards-Version: 3.8.3 (no changes required).

 -- Uwe Hermann <uwe@debian.org>  Thu, 04 Feb 2010 00:59:45 +0100

cycfx2prog (0.41-2) unstable; urgency=low

  * debian/{watch,copyright,control}: New upstream website.
  * Standards-Version: 3.8.0 (no changes required).

 -- Uwe Hermann <uwe@debian.org>  Sun, 23 Nov 2008 01:20:42 +0100

cycfx2prog (0.41-1) unstable; urgency=low

  * Initial release (Closes: #465895).

 -- Uwe Hermann <uwe@debian.org>  Fri, 15 Feb 2008 15:36:01 +0100

=== debian/control ===
Source: cycfx2prog
Section: electronics
Maintainer: Uwe Hermann <uwe@debian.org>
Build-Depends: debhelper-compat (= 13), libusb-dev
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/electronics-team/cycfx2prog
Vcs-Git: https://salsa.debian.org/electronics-team/cycfx2prog.git
Homepage: https://www.triplespark.net/elec/periph/USB-FX2/software/

Package: cycfx2prog
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Cypress EZ-USB FX2 (LP) programmer
 CycFX2Prog is a tool for programming the EZ-USB FX2 controller (i.e.
 downloading 8051 firmware into the RAM of the device) and doing basic
 endpoint communication for testing purposes.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean -- distclean

=== debian/watch ===
Version: 5

Source: http://www.triplespark.net/elec/periph/USB-FX2/software/
Matching-Pattern: @PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
